Subject: Re: [PATCH] t5582: remove spurious 'cd "$D"' line

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 Aug 2021 14:10:00 -0700

SZEDER Gábor <[email-masked]> writes:

> On Mon, Aug 23, 2021 at 04:32:39PM -0700, Junio C Hamano wrote:
>> Mickey Endito <[email-masked]> writes:
>> 
>> > The variable D is never defined in test t5582, more severely the test
>> > fails if D is defined by something outside the test suite, so remove
>> > this spurious line.
>> 
>> Wow.  Well spotted.
>> 
>> When D is left unset, we end up executing
>> 
>> 	cd "" && ...
>> 
>> and it explains why nobody noticed the breakage for nearly a year
>> since c0192df6 (refspec: add support for negative refspecs,
>> 2020-09-30) was written.
>> 
>> 
>> Unlike the apparent
>> copy-and-paste source, this is a more modern script that limits the
>> chdir inside subshells to avoid moving around in the main flow of
>> the test, and the fix proposed here looks the most sensible.  
>
> 'grep " cd $" test-results/*.out' shows that there is a similar case
> in 't5323-pack-redundant.sh' as well, in test 'master: pack-redundant
> works with no packfile'.

OK.  A candidate for a separate patch, which would be a low-hanging
fruit, I guess.